﻿body {
    padding-top: 70px;
    display: flex;
    min-height: 100vh;
    flex-direction: column;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

main {
    flex: 1 0 auto;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

nav {
    background-color: #004478 !important;
    border-color: #133147;
}

.navbar-inverse .navbar-brand {
  color: #FFFFFF;
}

.navbar-inverse .navbar-nav>li>a {
  color: #FFFFFF;
}

.form-group .prefix {
	position: absolute;
	width: 3rem;
	font-size: 2rem;
	-webkit-transition: color 0.2s;
	-moz-transition: color 0.2s;
	-o-transition: color 0.2s;
	-ms-transition: color 0.2s;
	transition: color 0.2s;
}

/* label focus color */
.form-group input[type=text]:focus + label,
.form-group input[type=password]:focus + label,
.form-group input[type=email]:focus + label,
.form-group input[type=url]:focus + label,
.form-group input[type=date]:focus + label,
.form-group input[type=tel]:focus + label,
.form-group input[type=number]:focus + label,
.form-group input[type=search]:focus + label,
.form-group textarea:focus.materialize-textarea + label {
    color: #004478 !important;
}

/* label underline focus color */
.form-group input[type=text]:focus,
.form-group input[type=password]:focus,
.form-group input[type=email]:focus,
.form-group input[type=url]:focus,
.form-group input[type=date]:focus,
.form-group input[type=tel]:focus,
.form-group input[type=number]:focus,
.form-group input[type=search]:focus,
.form-group textarea:focus.materialize-textarea {
    border-bottom: 1px solid #004478 !important;
    box-shadow: 0 1px 0 0 #004478 !important;
}

/* icon prefix focus color */
.form-group .prefix.active {
    color: #004478 !important;
}

label {
	font-size: 1rem;
	font-weight: normal;
}

footer {
    background-color: #004478 !important;
    border-color: #133147;
}
